package com.xxl.job.executor.jobhandler;/*
package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.toutiao.modules.material.service.IBytedanceBidWarningService;
import cn.com.ctop.toutiao.modules.report.service.IBytedanceInterfaceService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.apache.commons.lang.StringUtils;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Component
public class BytedanceOperationRecordJob {
    @Autowired
    private IBytedanceInterfaceService bytedanceInterfaceService;
    @Autowired
    private ICtopOauthTokenService tokenService;
    static ExecutorService executorService = Executors.newFixedThreadPool(8);

    @XxlJob("bytedanceOperationRecordJob")
    public ReturnT<String> execute(String startDate, String endDate) throws Exception {
        if(StringUtils.isBlank(startDate) || StringUtils.isBlank(endDate)){
            return ReturnT.FAIL;
        }

        List<CtopOauthToken> tokens = tokenService.selectKuaiShouToken();
        if (null == tokens || tokens.size() <= 0) {
            XxlJobLogger.log("定时获取头条操作记录数据异常：未获取到可用的token");
            return ReturnT.FAIL;
        }
        tokens.forEach(token -> {
            executorService.submit(new Runnable() {
                @Override
                public void run() {
                    XxlJobLogger.log("定时获取头条操作记录数据开始，accountId：" + token.getAccountId() + "操作目标为：" + 2 + "时间：" + startDate + "~" + endDate);
                    bytedanceInterfaceService.searchLog(token.getAccountId(), token, 2, startDate, endDate);
                    XxlJobLogger.log("定时获取头条操作记录数据结束，accountId：" + token.getAccountId() + "操作目标为：" + 2 + "时间：" + startDate + "~" + endDate);

                    XxlJobLogger.log("定时获取头条操作记录数据开始，accountId：" + token.getAccountId() + "操作目标为：" + 3 + "时间：" + startDate + "~" + endDate);
                    bytedanceInterfaceService.searchLog(token.getAccountId(), token, 3, startDate, endDate);
                    XxlJobLogger.log("定时获取头条操作记录数据结束，accountId：" + token.getAccountId() + "操作目标为：" + 3 + "时间：" + startDate + "~" + endDate);
                }
            });
        });
        return ReturnT.SUCCESS;
    }
}
*/
